=== debian/changelog ===
wendzelnntpd (2.2.0~alpha-1) unstable; urgency=medium

  * Initial release. Closes: #1116664

 -- Ole Ludwig <mail@oleludwig.de>  Thu, 09 Oct 2025 00:47:41 +0200
