=== debian/control ===
Source: wendzelnntpd
Section: news
Priority: optional
Maintainer: Ole Ludwig <mail@oleludwig.de>
Build-Depends:
 autoconf,
 bison,
 debhelper-compat (= 13),
 flex,
 libmariadb-dev,
 libmariadb-dev-compat,
 libmhash-dev,
 libsqlite3-dev,
 libssl-dev,
 openssl,
 pkgconf,
 sqlite3,
Build-Depends-Indep:
 mkdocs <!nodoc>,
 pandoc <!nodoc>,
 texlive <!nodoc>,
 texlive-latex-extra <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://sourceforge.net/projects/wendzelnntpd
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/oludwig/wendzelnntpd.git
Vcs-Browser: https://salsa.debian.org/oludwig/wendzelnntpd

Package: wendzelnntpd
Architecture: any
Multi-Arch: foreign
Depends:
 openssl,
 sqlite3,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 certbot,
 wendzelnntpd-doc,
Description: Easy to configure Usenet server (NNTP daemon)
 WendzelNNTPd is an easy to configure Usenet server (NNTP daemon).
 WendzelNNTPd breaks down complicated things into an easy-to-use configuration
 file and tool. The server is portable (Linux/OpenBSD/FreeBSD/NetBSD and some
 similar systems), supports IPv4 and IPv6, experimental support for TLS
 (SNNTP/NNTPS), AUTHINFO authentication, contains support for Access Control
 Lists (ACL), Role-based Access Control (RBAC) and supports invisible
 newsgroups. It currently supports MySQL and SQLite backends.
 .
 This server is tailored for retro computing people as well as small
 workgroups, where users trust each other and where no synchronization with
 other usenet servers is necessary. For this reason, not all advanced NNTP
 features are included (e.g. commands for server synchronization).

Package: wendzelnntpd-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${mkdocs:Depends},
Description: Easy to configure Usenet server (NNTP daemon) (documentation)
 WendzelNNTPd is an easy to configure Usenet server (NNTP daemon).
 WendzelNNTPd breaks down complicated things into an easy-to-use configuration
 file and tool. The server is portable (Linux/OpenBSD/FreeBSD/NetBSD and some
 similar systems), supports IPv4 and IPv6, experimental support for TLS
 (SNNTP/NNTPS), AUTHINFO authentication, contains support for Access Control
 Lists (ACL), Role-based Access Control (RBAC) and supports invisible
 newsgroups. It currently supports MySQL and SQLite backends.
 .
 This server is tailored for retro computing people as well as small
 workgroups, where users trust each other and where no synchronization with
 other usenet servers is necessary. For this reason, not all advanced NNTP
 features are included (e.g. commands for server synchronization).
 .
 This package contains HTML and PDF documentation.
