=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://sf.net/wendzelnntpd/ @ANY_VERSION@@ARCHIVE_EXT@
