=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  texlive <!nodoc>,
  texlive-latex-extra <!nodoc>,
 Standards-Version: 4.7.2
-Homepage: https://sourceforge.net/projects/wendzelnntpd
+Homepage: https://github.com/cdpxe/WendzelNNTPd
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/oludwig/wendzelnntpd.git
 Vcs-Browser: https://salsa.debian.org/oludwig/wendzelnntpd
